LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XConditionalFormats Interface Reference

`import"XConditionalFormats.idl";`

Inheritance diagram for XConditionalFormats:

## Public Member Functions
long | createByRange ([in] com::sun::star::sheet::XSheetCellRanges range)
| adds a conditional format to the existing list returns the id of the inserted conditional format More...
void | removeByID ([in] long ID)
sequence< XConditionalFormat > | getConditionalFormats ()
long | getLength ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ createByRange()

long createByRange | ( | [in] com::sun::star::sheet::XSheetCellRanges | range | ) |

adds a conditional format to the existing list returns the id of the inserted conditional format

## ◆ getConditionalFormats()

sequence< XConditionalFormat > getConditionalFormats | ( |  | ) |

## ◆ getLength()

long getLength | ( |  | ) |

## ◆ removeByID()

void removeByID | ( | [in] long | ID | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XConditionalFormats.idl